CertPathValidatorException.BasicReason (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.security.cert, class: CertPathValidatorException, enum: BasicReason
Keywords: java.security.cert.CertPathValidatorException.BasicReason class

Module java.base
Package java.security.cert

# Enum CertPathValidatorException.BasicReason

java.lang.Object
java.lang.Enum<CertPathValidatorException.BasicReason>
java.security.cert.CertPathValidatorException.BasicReason

All Implemented Interfaces:
  `Serializable`, `Comparable<CertPathValidatorException.BasicReason>`, `Constable`, `CertPathValidatorException.Reason`

Enclosing class:
  CertPathValidatorException

    public static enum CertPathValidatorException.BasicReason
    extends Enum<CertPathValidatorException.BasicReason>
    implements CertPathValidatorException.Reason

The BasicReason enumerates the potential reasons that a certification path of any type may be invalid.

Since:
  1.7

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ALGORITHM_CONSTRAINED` | The public key or the signature algorithm has been constrained.
  `EXPIRED` | The certificate is expired.
  `INVALID_SIGNATURE` | The signature is invalid.
  `NOT_YET_VALID` | The certificate is not yet valid.
  `REVOKED` | The certificate is revoked.
  `UNDETERMINED_REVOCATION_STATUS` | The revocation status of the certificate could not be determined.
  `UNSPECIFIED` | Unspecified reason.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CertPathValidatorException.BasicReason` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static CertPathValidatorException.BasicReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSPECIFIED

    public static final CertPathValidatorException.BasicReason UNSPECIFIED
    Unspecified reason.

  - ### EXPIRED

    public static final CertPathValidatorException.BasicReason EXPIRED
    The certificate is expired.

  - ### NOT_YET_VALID

    public static final CertPathValidatorException.BasicReason NOT_YET_VALID
    The certificate is not yet valid.

  - ### REVOKED

    public static final CertPathValidatorException.BasicReason REVOKED
    The certificate is revoked.

  - ### UNDETERMINED_REVOCATION_STATUS

    public static final CertPathValidatorException.BasicReason UNDETERMINED_REVOCATION_STATUS
    The revocation status of the certificate could not be determined.

  - ### INVALID_SIGNATURE

    public static final CertPathValidatorException.BasicReason INVALID_SIGNATURE
    The signature is invalid.

  - ### ALGORITHM_CONSTRAINED

    public static final CertPathValidatorException.BasicReason ALGORITHM_CONSTRAINED
    The public key or the signature algorithm has been constrained.

- ## Method Details

  - ### values

    public static CertPathValidatorException.BasicReason[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CertPathValidatorException.BasicReason valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null